#
# spec file for package libaal
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           libaal
Summary:        Application abstraction mechanism library used by reiser4progs
License:        GPL-2.0-only
Group:          System/Filesystems
Version:        1.0.7
Release:        2.17
URL:            https://sf.net/projects/reiser4/

Source:         https://downloads.sf.net/reiser4/libaal-%version.tar.gz
Patch1:         libaal-1.0.5-rpmoptflags.patch
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool

%description
libaal includes device abstraction, libc independence code, and more.

%package -n libaal-1_0-7
Summary:        Application abstraction mechanism library used by reiser4progs
License:        GPL-2.0-only
Group:          System/Libraries

%description -n libaal-1_0-7
libaal includes device abstraction, libc independence code, and more.

%package -n libaal-minimal0
Summary:        Application abstraction mechanism library used by reiser4progs
License:        GPL-2.0-only
Group:          System/Libraries

%description -n libaal-minimal0
libaal includes device abstraction, libc independence code, and more.

%package devel
Summary:        Header files for reiser4progs's application abstraction mechanism library
License:        GPL-2.0-or-later
Group:          Development/Libraries/C and C++
Requires:       libaal-1_0-7 = %version
Requires:       libaal-minimal0 = %version

%description devel
libaal includes device abstraction, libc independence code, and more.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
rm -f "%buildroot/%_libdir"/*.la

%post   -n libaal-1_0-7 -p /sbin/ldconfig
%postun -n libaal-1_0-7 -p /sbin/ldconfig
%post   -n libaal-minimal0 -p /sbin/ldconfig
%postun -n libaal-minimal0 -p /sbin/ldconfig

%files -n libaal-1_0-7
%license COPYING
%_libdir/libaal-1.0.so.7*

%files -n libaal-minimal0
%_libdir/libaal-minimal.so.0*

%files devel
%doc BUGS ChangeLog README TODO
%_libdir/libaal*.so
%_includedir/aal
%_datadir/aclocal

%changelog
* Fri Aug 23 2019 Jan Engelhardt <jengelh@inai.de>
- Modernize specfile.
* Sun Dec  3 2017 jengelh@inai.de
- Update to new upstream release 1.0.7
  * Replace typedefs of intX_t, uintX_t by including standard
    header stdint.h
  * Casting fixes.
- Remove no-nonsense.diff.
* Sat Sep  2 2017 jengelh@inai.de
- Add no-nonsense.diff to resolve build failure with glibc.
- Redo libaal-1.0.5-rpmoptflags.patch with p1.
- Drop static library subpackage.
* Sun Jun 29 2014 jengelh@inai.de
- Update to new upstream release 1.0.6
  * Implement device discard functionality in libaal to be used by
  mkfs and friends.
* Sat Mar 30 2013 jengelh@inai.de
- Remove no longer needed rpmlintrc
* Sun Feb 17 2013 jengelh@inai.de
- Renamed SRPM back to libaal, because that is the upstream name.
  Enforcement of shared library package naming is unaffected.
- Move libaal-minimal0 require from libaal-1_0-5 to libaal-devel
  where it belongs
- Split static libraries into libaal-devel-static
- Set RPM groups like we do for the rest (devel: c_c++, main: libs)
* Sat May 26 2012 jengelh@inai.de
- Remove redundant tags/sections from specfile
- Parallel build with %%_smp_mflags
* Mon Feb 20 2012 coolo@suse.com
- do not use setBadness in rpmlintrc
* Mon Feb 13 2012 coolo@suse.com
- patch license to follow spdx.org standard
* Sun Nov 13 2011 coolo@suse.com
- add libtool as explicit buildrequire to avoid implicit dependency from prjconf
* Wed Mar 23 2011 pascal.bleser@opensuse.org
- re-enable static libraries, as they are needed for some packages (most
  prominently: reiserfs4progs)
- remove embedded changelog from spec file
- add rpmlintrc to suppress false positive error about explicit library
  requires
- removed NEWS, is an empty file
* Wed Apr  1 2009 crrodriguez@suse.de
- remove static libraries
* Mon Feb 25 2008 crrodriguez@suse.de
- fPIC --> --with-pic
- remove libtool archives with empty dependency_libs
* Fri Jul 27 2007 lmichnovic@suse.cz
- compiling with RPM_OPT_FLAGS (rpmoptflags.patch)
* Fri Jul 27 2007 lmichnovic@suse.cz
- fixed deprecated %%run_ldconfig
- renamed to libaal-1_0-5 according Shared Library Packaging Policy
- split off libaal-minimal0 shared library
* Sat May 26 2007 ro@suse.de
- split off devel package
* Mon Feb 19 2007 lmichnovic@suse.cz
- compiling with fPIC, fixes build on S390
- not removing RPMBUILDDIR in install section
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 mjancar@suse.cz
- update to 1.0.5
* Mon Aug  1 2005 mjancar@suse.cz
- update to 1.0.4
* Wed Apr 20 2005 pth@suse.de
- Fix quoting in libaal.m4 (Bug #75889)
* Thu Feb 24 2005 mjancar@suse.cz
- update to 1.0.3
* Thu Nov 11 2004 ro@suse.de
- fixed file list
* Wed Aug 25 2004 mjancar@suse.cz
- update to 1.0.1
* Fri Aug 13 2004 mjancar@suse.cz
- update to 0.5.3
* Thu Feb 26 2004 mjancar@suse.cz
- update to 0.5.0
* Tue Feb  3 2004 mjancar@suse.cz
- update to 0.4.15
* Tue Oct 14 2003 mjancar@suse.cz
- use %%{run_ldconfig}
* Tue Oct 14 2003 mjancar@suse.cz
- run libtoolize -f
- run automake
* Fri Oct 10 2003 mjancar@suse.cz
- initial version 0.4.11
